	section init

	xref	windef

	include dev1_asm_test_includes
	include dev8_keys_wman
	include dev8_keys_qdos_io

init	bra.s	start
	dc.l	'w.l.'
	dc.w	$4AFB
	dc.w	6,'PETEST'

start	add.l	a6,a4			; a4 points to data space
	move.l	a7,a0
	sub.l	#10,a0
	clr.l	d0
	move.l	a4,a1
initlp1 move.l	d0,(a1)+
	cmp.l	a0,a1
	ble.s	initlp1 		; clear dataspace
	lea	condef,a0
	moveq	#1,d0
	moveq	#3,d3
	moveq	#-1,d1
	trap	#2			; open window, a0= channel id
	tst.w	d0
	bne.s	harakiri
	moveq	#iop.pinf,d0
	moveq	#-1,d3
	trap	#3			; is pi there?
	tst.w	d0
	bne.s	nowman			; no, complain & quit
	move.l	a1,d0			; is there a wman vector base?
	beq.s	nowman			; no
	move.l	a1,a2			; a2 =wman vector base
	move.l	a4,a5			; keep ptr to data area
	move.l	a4,a1			; start is status area
	lea	workdef(a4),a4		; space for working defn
set_up	lea	windef,a3
	clr.l	d3
	moveq	#0,d1
	jsr	wm.setup(a2)		; setup wrkg defn
	moveq	#-1,d1
	jsr	wm.prpos(a2)		; position primary
	jsr	wm.wdraw(a2)		; draw wdw
	moveq	#0,d1
loop	jsr	wm.rptr(a2)		; now read pointer
	cmp.w	#is_out,d0		; quit?
	bne.s	loop			; no
endgame jsr	wm.unset(a2)		; unset window
clswdw	moveq	#2,d0
	trap	#2			; close window
harakiri
	moveq	#-1,d1			; now kill job
	moveq	#5,d0
	clr.l	d3
	trap	#1			; RIP


condef	dc.w	  4
	dc.w	  'con_'

errmess dc.w	  errmess2-*-2
	dc.b	  'This software only works in the pointer environment'
errmess2

nowman	lea	  errmess,a1
	move.w	  (a1)+,d2
	moveq	  #-1,d3
	moveq	  #7,d0
	trap	  #3
	bra	  clswdw

	end
