	section wdef

	xdef	aplist
	xdef	panblk
	xdef	scrblk

	xref	cross


	include dev1_asm_test_includes
	include dev1_asm_test_mac
	include dev8_keys_wman
	include dev8_keys_wwork
	include dev8_keys_qdos_sms

x_hitsz equ	-70
x_spcg	equ	-74
y_hitsz equ	-10
y_spcg	equ	-12
nr_cols equ	20
nr_rows equ	20
apysz	equ	ysize-inf1y-32
dummy1	equ	apysz/y_spcg
maxrow	equ	0-dummy1



aplist	dc.w	appdefn-*
	dc.w	0

	dc.w	0			; csizes
	dc.l	'XTND'
appdefn dc.w	xsize+x_spcg-24 	; wdw	xsize
	dc.w	apysz			;	ysize
	dc.w	4-x_spcg		; wdw	x orig
	dc.w	inf1y+20		;	y orig
; attributes
	dc.b	64,1			; wdw clear + shadow
	dc.w	1			; border size
	dc.w	sp.appbd		; border colour
	dc.w	sp.appbg		; paper

	dc.w	cross-* 		; pointer sprite

	dc.w	setup-* 		; setup routine
	dc.w	draw-*			; draw routine
	dc.w	mhit-*			; hit routine
	dc.w	ctrl-*			; control routine

	dc.w	2			; nbr of x control sections
	dc.w	2			;	 y

	dc.b	9			; selkey
	dc.b	0			; spare

	panscr	panblk,x_hitsz,x_spcg	; is pannable wdw
	panscr	scrblk,y_hitsz,y_spcg	; is scrollable wdw
	
	mksmen	nr_cols,nr_rows,x_hitsz,x_spcg,y_hitsz,y_spcg	       ; one ctrl block
	dc.l	-1
			
  
; control blokch for pan
panblk	dc.w	1			; nbr of sections
	dc.w	0			; section start position in pixels
	dc.w	0			; section start col
	dc.w	4			; section end col
	dc.w	0,0,0			; second section after split


; control blokch for scroll
scrblk	dc.w	1			; nbr of sections
	dc.w	0			; section start position in pixels
	dc.w	0			; section start row
	dc.w	maxrow-1		; section end row
	dc.w	0
	dc.w	0
	dc.w	0

	dc.l	0


setup	jsr	wm.smenu(a2)		; setup standard menu
	bne.s	out
	lea	workdef(a5),a6		; point working defn
	move.l	ww_pappl(a6),a6 	; appsub list
	move.l	(a6),a6 		; get first appsub
	move.l	$a0(a6),a6

*
* Now setup the pointers to the control blocks and the item status area
* (WM.SETUP sets these somewhere in the status area)
*
	move.l	a1,-(a7)
	lea	workdef(a5),a6		; point working defn
	move.l	ww_pappl(a6),a6 	; appsub list
	move.l	(a6),a6 		; get first appsub
;	 bset	 #6,wwa_watt+wwa_clfg(a6)
	lea	panblk,a1
	move.l	a1,wwa_part(a6) 	; insert pointer to part wdw control block
	lea	scrblk,a1
	move.l	a1,wwa_part+wwa.clen(a6)
	lea	stblk,a1
	move.l	a1,wwa_mstt(a6) 	; set pointer to status area in menu block
	moveq	#0,d0
stpout	move.l	(a7)+,a1
out	rts

draw	jsr	wm.index(a2)
	bne.s	out
	jmp	wm.mdraw(a2)
 
mhit	jmp	wm.mhit(a2)

ctrl	jmp	wm.pansc(a2)

	end
